Resource

Alert Note Template

Manage alert note templates for your project

The Alert Note Template Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Status200 Project in which this object belongs

  • Name
    note
    Type
    Markdown
    Description

    Note template for public or private notes. This is in markdown.

  • Name
    templateName
    Type
    TextRequired
    Description

    Name of the Alert Template

  • Name
    templateDescription
    Type
    Long TextRequired
    Description

    Description of the Alert Template

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/alert-note-template/get-list

List

This endpoint allows you to retrieve a paginated list of all your Alert Note Template. By default, a maximum of ten Alert Note Template are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/alert-note-template/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "templateDescription": true,
    "templateName": true,
    "createdByUser": true,
    "createdByUserId": true
  },
  "query": {
    "templateDescription": "This template is used for documenting the initial investigation phase of an alert. It includes sections for analyzing the issue, documenting findings, and outlining next steps for resolution."
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376cafb0-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "templateDescription": "This template is used for documenting the initial investigation phase of an alert. It includes sections for analyzing the issue, documenting findings, and outlining next steps for resolution.",
      "templateName": "Initial Investigation Template",
      "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    },
    {
      "_id": "376cafb1-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "templateDescription": "This template is used for documenting the initial investigation phase of an alert. It includes sections for analyzing the issue, documenting findings, and outlining next steps for resolution.",
      "templateName": "Initial Investigation Template",
      "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    },
    {
      "_id": "376cafb2-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "templateDescription": "This template is used for documenting the initial investigation phase of an alert. It includes sections for analyzing the issue, documenting findings, and outlining next steps for resolution.",
      "templateName": "Initial Investigation Template",
      "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    }
  ]
}
GETorPOST/api/alert-note-template/:id/get-item

Get item by ID

This endpoint allows you to retrieve Alert Note Template by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/alert-note-template/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "templateDescription": true,
    "templateName": true,
    "createdByUser": true,
    "createdByUserId": true
  }
}

Response

{
  "_id": "376cafb0-28fe-11f1-b591-3fdcef396aba",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "templateDescription": "This template is used for documenting the initial investigation phase of an alert. It includes sections for analyzing the issue, documenting findings, and outlining next steps for resolution.",
  "templateName": "Initial Investigation Template",
  "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
POST/api/alert-note-template/count

Count

This endpoint allows you to retrieve the count of all your Alert Note Template.

Optional Request Body

Count Request

POST
/api/alert-note-template/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "templateDescription": "This template is used for documenting the initial investigation phase of an alert. It includes sections for analyzing the issue, documenting findings, and outlining next steps for resolution."
  }
}

Response

{
  "count": 107
}
POST/api/alert-note-template

Create Alert Note Template

This endpoint allows you to create a new object.

Create Request

POST
/api/alert-note-template
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "templateDescription": "This template is used for documenting the initial investigation phase of an alert. It includes sections for analyzing the issue, documenting findings, and outlining next steps for resolution.",
    "templateName": "Initial Investigation Template",
    "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
}

Response

{
  "_id": "376cafb0-28fe-11f1-b591-3fdcef396aba",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "templateDescription": "This template is used for documenting the initial investigation phase of an alert. It includes sections for analyzing the issue, documenting findings, and outlining next steps for resolution.",
  "templateName": "Initial Investigation Template",
  "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
PUT/api/alert-note-template/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/alert-note-template/:id/update-item
GET/api/alert-note-template/:id/update-item

Update Request

PUT
/api/alert-note-template/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "templateDescription": "This template is used for documenting the initial investigation phase of an alert. It includes sections for analyzing the issue, documenting findings, and outlining next steps for resolution.",
    "templateName": "Initial Investigation Template",
    "note": "## Alert Investigation\n\n**Issue**: {{alert.title}}\n\n**Time**: {{alert.createdAt}}\n\n**Analysis**: Initial investigation shows that the alert was triggered due to high CPU usage on the production server. The team is currently investigating the root cause.\n\n**Next Steps**:\n- Monitor system metrics\n- Review application logs\n- Check for memory leaks"
  }
}

Response

{}
DELETE/api/alert-note-template/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/alert-note-template/:id/delete-item
GET/api/alert-note-template/:id/delete-item

Delete Request

DELETE
/api/alert-note-template/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Alert Note Template

  • Project Owner
  • Project Admin
  • Project Member
  • Read Alert Note Template
  • Read All Project Resources

Create Permissions

Required to create Alert Note Template

  • Project Owner
  • Project Admin
  • Project Member
  • Create Alert Note Template

Update Permissions

Required to update Alert Note Template

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Alert Note Template

Delete Permissions

Required to delete Alert Note Template

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Alert Note Template